pcl::CloudSurfaceProcessing< PointInT, PointOutT > Class Template Referenceabstract
Module surface

CloudSurfaceProcessing represents the base class for algorithms that takes a point cloud as input and produces a new output cloud that has been modified towards a better surface representation. More...

`#include <pcl/surface/processing.h>`

Inheritance diagram for pcl::CloudSurfaceProcessing< PointInT, PointOutT >:

## Public Types

typedef boost::shared_ptr< CloudSurfaceProcessing< PointInT, PointOutT > > | Ptr
typedef boost::shared_ptr< const CloudSurfaceProcessing< PointInT, PointOutT > > | ConstPtr
Public Types inherited from pcl::PCLBase< PointInT >
typedef pcl::PointCloud< PointInT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointIndices > | PointIndicesPtr
typedef boost::shared_ptr< PointIndices const > | PointIndicesConstPtr

## Public Member Functions

| CloudSurfaceProcessing ()
| Constructor. More...
virtual | ~CloudSurfaceProcessing ()
| Empty destructor. More...
virtual void | process (pcl::PointCloud< PointOutT > &output)
| Process the input cloud and store the results. More...
Public Member Functions inherited from pcl::PCLBase< PointInT >
| PCLBase ()
| Empty constructor. More...
| PCLBase (const PCLBase &base)
| Copy constructor. More...
virtual | ~PCLBase ()
| Destructor. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset. More...
PointCloudConstPtr const | getInputCloud () const
| Get a pointer to the input point cloud dataset. More...
virtual void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const IndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (size_t row_start, size_t col_start, size_t nb_rows, size_t nb_cols)
| Set the indices for the points laying within an interest region of the point cloud. More...
IndicesPtr const | getIndices ()
| Get a pointer to the vector of indices used. More...
IndicesConstPtr const | getIndices () const
| Get a pointer to the vector of indices used. More...
const PointInT & | operator[] (size_t pos) const
| Override PointCloud operator[] to shorten code. More...

## Protected Member Functions

virtual void | performProcessing (pcl::PointCloud< PointOutT > &output)=0
| Abstract cloud processing method. More...
Protected Member Functions inherited from pcl::PCLBase< PointInT >
bool | initCompute ()
| This method should get called before starting the actual computation. More...
bool | deinitCompute ()
| This method should get called after finishing the actual computation. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::PCLBase< PointInT >
PointCloudConstPtr | input_
| The input point cloud dataset. More...
IndicesPtr | indices_
| A pointer to the vector of point indices to use. More...
bool | use_indices_
| Set to true if point indices are used. More...
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud. More...

## Detailed Description

### template<typename PointInT, typename PointOutT>
class pcl::CloudSurfaceProcessing< PointInT, PointOutT >

CloudSurfaceProcessing represents the base class for algorithms that takes a point cloud as input and produces a new output cloud that has been modified towards a better surface representation.

These types of algorithms include surface smoothing, hole filling, cloud upsampling etc.

Author
  Alexandru E. Ichim

Definition at line 57 of file processing.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointInT , typename PointOutT >

typedef boost::shared_ptr<const CloudSurfaceProcessing<PointInT, PointOutT> > pcl::CloudSurfaceProcessing< PointInT, PointOutT >::ConstPtr

Definition at line 61 of file processing.h.

## Ptr

template<typename PointInT , typename PointOutT >

typedef boost::shared_ptr<CloudSurfaceProcessing<PointInT, PointOutT> > pcl::CloudSurfaceProcessing< PointInT, PointOutT >::Ptr

Definition at line 60 of file processing.h.

## Constructor & Destructor Documentation

## CloudSurfaceProcessing()

template<typename PointInT , typename PointOutT >

pcl::CloudSurfaceProcessing< PointInT, PointOutT >::CloudSurfaceProcessing | ( |  | ) |

inline

Constructor.

Definition at line 70 of file processing.h.

## ~CloudSurfaceProcessing()

template<typename PointInT , typename PointOutT >

virtual pcl::CloudSurfaceProcessing< PointInT, PointOutT >::~CloudSurfaceProcessing | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 74 of file processing.h.

References pcl::CloudSurfaceProcessing< PointInT, PointOutT >::performProcessing(), and pcl::CloudSurfaceProcessing< PointInT, PointOutT >::process().

## Member Function Documentation

## performProcessing()

template<typename PointInT , typename PointOutT >

virtual void pcl::CloudSurfaceProcessing< PointInT, PointOutT >::performProcessing | ( | pcl::PointCloud< PointOutT > & | output | ) |

protected pure virtual

Abstract cloud processing method.

Implemented in pcl::MovingLeastSquares< PointInT, PointOutT >, and pcl::BilateralUpsampling< PointInT, PointOutT >.

Referenced by pcl::MeshProcessing::getInputMesh(), and pcl::CloudSurfaceProcessing< PointInT, PointOutT >::~CloudSurfaceProcessing().

## process()

template<typename PointInT , typename PointOutT >

void pcl::CloudSurfaceProcessing< PointInT, PointOutT >::process | ( | pcl::PointCloud< PointOutT > & | output | ) |

virtual

Process the input cloud and store the results.

Parameters

  [out] | output | the cloud where the results will be stored

Reimplemented in pcl::MovingLeastSquares< PointInT, PointOutT >, and pcl::BilateralUpsampling< PointInT, PointOutT >.

Definition at line 43 of file processing.hpp.

References pcl::PointCloud< PointT >::header, pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, and pcl::PointCloud< PointT >::width.

Referenced by pcl::MeshProcessing::getInputMesh(), and pcl::CloudSurfaceProcessing< PointInT, PointOutT >::~CloudSurfaceProcessing().

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/processing.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/impl/processing.hpp